from gitea import Gitea, Organization
import os

ARCHIVE_ORG = "archive"

def main():
    gitea = Gitea(os.environ["GITEA_URL"], os.environ["GITEA_TOKEN"])

    org = Organization.request(gitea, ARCHIVE_ORG)

    for repo in org.get_repositories():
        print(repo.get_full_name())
        repo.archived = True
        repo.has_projects = False
        repo.has_issues = False
        repo.has_pull_requests = False
        repo.has_wiki = False
        repo.commit()


if __name__ == "__main__":
    main()
